Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math.exception
Interface MathThrowable

All Known Implementing Classes:
  ArgumentOutsideDomainException, CardanEulerSingularityException, ConvergenceException, ConvergenceException, DerivativeException, DimensionMismatchException, DimensionMismatchException, DuplicateSampleAbscissaException, EstimationException, EventException, FractionConversionException, FunctionEvaluationException, IntegratorException, InvalidMatrixException, MathConfigurationException, MathException, MathIllegalArgumentException, MathIllegalNumberException, MathIllegalStateException, MathInternalError, MathRuntimeException, MathUnsupportedOperationException, MatrixIndexException, MatrixVisitorException, MaxEvaluationsExceededException, MaxIterationsExceededException, NoDataException, NoFeasibleSolutionException, NonMonotonousSequenceException, NonSquareMatrixException, NotARotationMatrixException, NotPositiveDefiniteMatrixException, NotPositiveException, NotStrictlyPositiveException, NotSymmetricMatrixException, NullArgumentException, NumberIsTooLargeException, NumberIsTooSmallException, OptimizationException, OutOfRangeException, SingularMatrixException, UnboundedSolutionException, ZeroException

    public interface MathThrowable

Interface for commons-math throwables.

Since:
  2.2
Version:
  $Revision: 1035475 $ $Date: 2010-11-15 23:39:25 +0100 (lun. 15 nov. 2010) $

Method Summary
`Object[]` | `getArguments()` Gets the arguments used to build the message of this throwable.
`Localizable` | `getGeneralPattern()` Gets the localizable pattern used to build the general part of the message of this throwable.
`String` | `getLocalizedMessage()` Gets the message in the system default locale.
`String` | `getMessage()` Gets the message in a conventional US locale.
`String` | `getMessage(Locale locale)` Gets the message in a specified locale.
`Localizable` | `getSpecificPattern()` Gets the localizable pattern used to build the specific part of the message of this throwable.

Method Detail

### getSpecificPattern

    Localizable getSpecificPattern()

  Gets the localizable pattern used to build the specific part of the message of this throwable.

  Returns:
    localizable pattern used to build the specific part of the message of this throwable

### getGeneralPattern

    Localizable getGeneralPattern()

  Gets the localizable pattern used to build the general part of the message of this throwable.

  Returns:
    localizable pattern used to build the general part of the message of this throwable

### getArguments

    Object[] getArguments()

  Gets the arguments used to build the message of this throwable.

  Returns:
    the arguments used to build the message of this throwable

### getMessage

    String getMessage(Locale locale)

  Gets the message in a specified locale.

  Parameters:
    `locale` - Locale in which the message should be translated
  Returns:
    localized message

### getMessage

    String getMessage()

  Gets the message in a conventional US locale.

  Returns:
    localized message

### getLocalizedMessage

    String getLocalizedMessage()

  Gets the message in the system default locale.

  Returns:
    localized message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2011 The Apache Software Foundation. All Rights Reserved.